<script lang="ts">
  import { cardSuit } from "../utils";
  import SuitIcon from "./SuitIcon.svelte";

  export let phase: IAcceptance;

  $: giverId = phase.claim.giver;
  $: receiverId = phase.claim.receiver;

  $: correct = (phase.claim.suit === cardSuit(phase.actual)) === phase.belief;

  $: loserId = correct ? giverId : receiverId;
</script>

<section>
  <p>
    <gs6-user userid={receiverId} />
    guessed
    {#if correct}correctly!{:else}incorrectly!{/if}
  </p>

  <p>
    <gs6-user userid={loserId} />
    gains
    <br />
    <span style="font-size: 1.5em">
      <SuitIcon suit={cardSuit(phase.actual)} />
      <strong>× 1</strong>
    </span>
  </p>
</section>

<style>
  section {
    text-align: center;
  }
</style>
